All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.connection
Interface ConnectionInterface

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface ConnectionInterface

The factory-managed connection handle.

Method Summary
`abstract void` | `close()` Return the connection to the allocating factory's connection pool.
`abstract void` | `generatePassword(java.lang.String userName, org.omg.CORBA.StringHolder qualUserNameHolder, org.omg.CORBA.StringHolder genPasswordHolder)` Generate a password for a user name.
`abstract org.omg.CORBA.Object` | `getObject()` Get the remote object reference to the toplevel object on the IOM server.

Method Detail

### getObject

    org.omg.CORBA.Object getObject()

  Get the remote object reference to the toplevel object on the IOM server. This connection to the server has been allocated to the caller by the connection factory, and every call to this method returns the same object reference until `close()` is called. After the call to `close()`, any call to this method will throw an `IllegalStateException`.

  Returns:
    the remote object reference to the toplevel object on the IOM server

### generatePassword

    void generatePassword(java.lang.String userName,
                          org.omg.CORBA.StringHolder qualUserNameHolder,
                          org.omg.CORBA.StringHolder genPasswordHolder)
                          throws ConnectionFactoryException

  Generate a password for a user name. The server will generate a password for the user name in a generated password domain. The output of this method is the generated password and the user name qualified with the generated password domain. The qualified user name and generated password can then be used to connect to the server that generated the password.

  Parameters:
    `userName` - the user name for which to generate a password
    `qualUserNameHolder` - (OUTPUT) a wrapper which will, after the method call, contain the user name qualified with the generated password domain
    `genPasswordHolder` - (OUTPUT) a wrapper which will, after the method call, contain the generated password for the user name.
  Throws:
    `ConnectionFactoryException` - if the server does not support password generation or if the current client does not have permission to generate passwords

### close

    void close()

  Return the connection to the allocating factory's connection pool. Multiple calls to this method have no effect.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.